## rosegarden-trinity 14.0.4

=== CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

# The name of our project is "ROSEGARDEN". CMakeLists files in this project can
# refer to the root source directory of the project as ${ROSEGARDEN_SOURCE_DIR}
# and to the root binary directory of the project as ${ROSEGARDEN_BINARY_DIR}
PROJECT(ROSEGARDEN)


##### include essential cmake modules ###########

include( CheckCXXSourceCompiles )
include( CheckFunctionExists )
include( CheckIncludeFileCXX )
include( CheckLibraryExists )
include( CheckStructHasMember )
include( CheckSymbolExists )
include( CheckTypeSize )
include( FindPkgConfig )

##### set up versioning #########################

# Mark as advanced
MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH
                 LIBRARY_OUTPUT_PATH
		 CMAKE_BACKWARDS_COMPATIBILITY)

# Rosegarden version string
SET (VERSION_MAJOR "1")
SET (VERSION_MINOR "7")
SET (VERSION_PATCH "0")
# comment out the next line for a public release
#SET (VERSION_SUFFIX "svn")
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
IF(VERSION_SUFFIX)
   SET (VERSION "${VERSION}-${VERSION_SUFFIX}")
ENDIF(VERSION_SUFFIX)
ADD_DEFINITIONS(-D'VERSION="${VERSION}"')


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### user requested modules ####################

option( BUILD_ALL "Build all" OFF )
option( BUILD_DOC "Build doc" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )
option( WANT_DEBUG   "Include debug support" OFF )
option( WANT_FULLDBG "Full debug support (BIG executables!)" OFF )
option( WANT_SOUND   "Include Sound support" ${BUILD_ALL} )
option( WANT_JACK    "Include Jack (Jack Audio Connection Kit) support" ${BUILD_ALL} )
option( WANT_DSSI    "Include DSSI support" ${BUILD_ALL} )
option( WANT_LIRC    "Include LIRC (Linux Infrared Remote Control) support" OFF )
option( WANT_PCH     "Use precompiled headers" OFF )
option( WANT_TEST    "Perform unit tests" OFF )

IF(WANT_TEST)
    ENABLE_TESTING()
ENDIF(WANT_TEST)

IF(NOT WANT_SOUND)
    SET(WANT_JACK OFF)
    SET(WANT_DSSI OFF)
    ADD_DEFINITIONS(-DNO_SOUND)
ENDIF(NOT WANT_SOUND)

##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )
add_subdirectory( data )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

# create and install the version file
FILE(WRITE version.txt "${VERSION}\n")
INSTALL( FILES version.txt DESTINATION ${DATA_INSTALL_DIR}/rosegarden )

# configure the RPM spec
CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/rosegarden.spec.in" "${CMAKE_SOURCE_DIR}/rosegarden.spec" IMMEDIATE @ONLY)

## rosegarden-trinity 3.5.13.2

=== debian/changelog ===
rosegarden-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:01:29 +0200

rosegarden-trinity (1:1.7.0-1ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

rosegarden-trinity (1:1.7.0-0ubuntu5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

rosegarden-trinity (1:1.7.0-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Mon, 15 Dec 2008 18:46:00 -0600

rosegarden (1:1.7.0-1ubuntu3) intrepid; urgency=low

  * debian/rules: Depend on khelpcenter4 instead of the obsolete
    khelpcenter.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 24 Sep 2008 09:40:44 +0000

rosegarden (1:1.7.0-1ubuntu2) intrepid; urgency=low

  * Rebuild for liblo0 -> liblo transition (LP: #254734)

 -- Riccardo Coccioli <volans@ubuntu.com>  Mon, 04 Aug 2008 19:08:50 +0200

rosegarden (1:1.7.0-1ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable. (LP: #225849) Remaining Ubuntu changes:
    - Add usr/share/doc/tde/HTML to rosegarden-data, to provide online
      help documentation.
    - Change fftw3-dev to libfftw3-dev.
    - Update maintainer field as per spec.

 -- Stefan Ebner <sebner@ubuntu.com>  Fri, 02 May 2008 00:33:44 +0200

rosegarden (1:1.7.0-1) unstable; urgency=low

  * New upstream release
  * removed dpatch for gcc++4.3

 -- Mike O'Connor <stew@debian.org>  Thu, 01 May 2008 11:43:11 -0400

rosegarden (1:1.6.1-3) unstable; urgency=low

  * added new dpatch which fixes problems compiling with g++4.3

 -- Mike O'Connor <stew@vireo.org>  Wed, 02 Apr 2008 12:02:17 -0400

rosegarden (1:1.6.1-2) unstable; urgency=low

  * moving lilypond from Depends: to Recommends: (Closes: #471960)

 -- Mike O'Connor <stew@vireo.org>  Sat, 22 Mar 2008 09:14:25 -0400

rosegarden (1:1.6.1-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Add usr/share/doc/tde/HTML to rosegarden-data, to provide online
      help documentation.
    - Change fftw3-dev to libfftw3-dev.
    - Update maintainer field as per spec.

 -- Ubuntu Merge-o-Matic <mom@ubuntu.com>  Mon, 24 Dec 2007 21:51:51 +0000

rosegarden (1:1.6.1-1) unstable; urgency=low

  * New upstream release (Closes: 457007)
  * name change of 16x16 icon (Thanks tomv)
  * changing section from extra to optional to match override
  * Newer standards version: 3.7.3
  * getting rid of scons cruft in debian/rules

 -- Mike O'Connor <stew@vireo.org>  Fri, 21 Dec 2007 08:15:32 -0500

rosegarden (1:1.6.0-1ubuntu2) hardy; urgency=low

  * Change fftw3-dev to libfftw3-dev.

 -- Steve Kowalik <stevenk@ubuntu.com>  Wed, 19 Dec 2007 22:19:04 +1100

rosegarden (1:1.6.0-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining changes:
    Add usr/share/doc/tde/HTML to rosegarden-data, to provide online
    help documentation.
    debian/control:
    + Update maintainer field.   

 -- Michele Angrisano <micheleangrisano@ubuntu.com>  Thu, 13 Dec 2007 16:09:44 +0100

rosegarden (1:1.6.0-1) unstable; urgency=low

  * New upstream version (Closes: #454824)
  * Removed transitional rosegarden2, rosegarden4 packages
  * Added dependency on flac (Closes: #438164)
  * Fixed typos in README.Debian (Closes: 455250)
     - Thanks Paul Menzel
  * Moved menu item from Apps to Applications

 -- Mike O'Connor <stew@vireo.org>  Sun, 09 Dec 2007 15:22:35 -0500

rosegarden (1:1.5.1-3ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Add usr/share/doc/tde/HTML/ to rosegarden-data, to provide online
      help documentation.
    - Update maintainer field in debian/control.

 -- Michele Angrisano <micheleangrisano@ubuntu.com>  Fri, 20 Jul 2007 14:52:39 +0200

rosegarden (1:1.5.1-3) unstable; urgency=low

  * applying patch from Martin Michlmayr for gcc 4.2 (Closes: #421327)
  * debian/patches:
     - added 30-midi-mime to make rosegarden open midi files when
       doubble clicking them on the desktop
  * debian/rosegarden.sharedmimeinfo
     - added mime information about for *.rg files

 -- Free Ekanayaka <freee@debian.org>  Thu, 19 Jul 2007 02:08:24 +0200

rosegarden (1:1.5.1-2ubuntu1) gutsy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes:
    - Add usr/share/doc/tde/HTML/ to rosegarden-data, to provide online
      help documentation.
    - Changed maintainer field to MOTU.

 -- Luke Yelavich <themuso@ubuntu.com>  Sun,  6 May 2007 20:26:54 +1000

rosegarden (1:1.5.1-2) unstable; urgency=low

  * Updated README.Debian (Closes: 392181)
  * Added dependency on lilypond (Closes: 419371)
  * Patched source to prefer x-www-browser over konqueror and added dependency
    www-browser (Closes: 414027)
  * changing package from optional to extra to match override

 -- Mike O'Connor <stew@vireo.org>  Tue, 17 Apr 2007 19:27:40 -0400

rosegarden (1:1.5.1-1) unstable; urgency=low

  * New upstream release
  * moved debian-project-page-1 to debian-project-package.1
  * added manpage for debian-audiofile-importer(1)

 -- Mike O'Connor <stew@vireo.org>  Mon, 19 Mar 2007 20:10:53 -0400

rosegarden (1:1.5.0-3) unstable; urgency=low

  * Depend on kdebase-bin, as rosegarden-project-manager needs kdialog

 -- Free Ekanayaka <freee@debian.org>  Thu,  1 Mar 2007 11:58:23 +0100

rosegarden (1:1.5.0-2) unstable; urgency=low

  * Depend on libxml-twig-perl, xterm and sndfile-programs (Closes: 410431)
  * Fixed lintian warnings about not-binnmuable-depends

 -- Free Ekanayaka <freee@debian.org>  Wed, 14 Feb 2007 21:18:58 +0100

rosegarden (1:1.5.0-1) unstable; urgency=low

  * New upstream release
  * Switch to cmake
  * Depend on fftw3-dev
  * No need to copy the .desktop file to /usr/share/applications 


=== debian/control ===
Source: rosegarden-trinity
Section: sound
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Mike O'Connor <stew@debian.org>, Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>> 5.0.0), quilt, cmake, kdelibs4-trinity-dev, libasound2-dev (>= 1.0.0), libjack-dev, ladspa-sdk, liblrdf0-dev, liblircclient-dev, dssi-dev (>= 0.4 ), liblo-dev, libxft-dev, libfftw3-dev
Standards-Version: 3.8.4
Homepage: http://www.rosegardenmusic.com/

Package: rosegarden-trinity
Architecture: any
Depends: ${shlibs:Depends}, khelpcenter-trinity, rosegarden-data-trinity (= ${source:Version}), libxml-twig-perl, sndfile-programs, xterm, kdebase-trinity-bin, konqueror-trinity | www-browser, flac
Recommends: jackd, lilypond, swh-plugins | ladspa-plugin
Suggests: qjackctl
Description: music editor and MIDI/audio sequencer [Trinity]
 Rosegarden is a KDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-data-trinity
Architecture: all
Recommends: rosegarden-trinity
Priority: optional
Description: music editor and MIDI/audio sequencer data files [Trinity]
 Rosegarden is a KDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the data files necessary for running Rosegarden

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_BUILD_ARCH := $(shell dpkg --print-installation-architecture)
ARCH=$(DEB_BUILD_ARCH)

ifeq ($(ARCH),alpha)
CXXFLAGS+=-O0 -mieee
else
CXXFLAGS+=-O2
endif

# DEBUGGING FLAGS.
# CXXFLAGS+=-g3 -gstabs+ -fexceptions
# DEB_BUILD_OPTIONS+=nostrip
# export CXXFLAGS
# export DEB_BUILD_OPTIONS

###

configure: configure-stamp

configure-stamp:
	dh_testdir
	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/kde CMAKE_INSTALL_PREFIX=/usr CMAKE_BUILD_TYPE=RelWithDebInfo cmake .
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/kde make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || make clean
	rm -rf RGbuild
	rm -rf CMakeCache.txt
	rm -rf CMakeFiles
	rm -f build-stamp
	rm -f configure-stamp
	rm -f config.log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	env PATH=/opt/trinity/bin:$(PATH) CMAKE_LIBRARY_PATH=/opt/trinity/lib CMAKE_INCLUDE_PATH=/opt/trinity/include/kde make install DESTDIR=`pwd`/debian/tmp 
	find debian/tmp/opt/trinity/share -type f -exec chmod 664 {} \;

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	mkdir -p debian/rosegarden-trinity/opt/trinity/share/
	dh_testdir
	dh_testroot
	dh_installexamples
	find debian/rosegarden-trinity/usr/share/doc/rosegarden-trinity/examples -type f -exec chmod 664 {} \;
	dh_installdirs
	dh_installdocs
	dh_installmenu
	dh_installmime
	dh_installcron
	dh_installman debian/rosegarden.1 debian/rosegarden-lilypondview.1 debian/rosegarden-project-package.1 debian/rosegarden-audiofile-importer.1
	mv debian/rosegarden-trinity/usr/share/man debian/rosegarden-trinity/opt/trinity/share/
	dh_desktop
	cp debian/lintianoverrides debian/rosegarden-trinity/usr/share/lintian/overrides/rosegarden-trinity
	dh_installinfo
	dh_installchangelogs
	dh_install
	dh_link
	dh_strip
	dh_compress -X.rg -X.wav -X.docbook
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb $(DEB_DH_BUILDDEB_ARGS)

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## rosegarden-trinity 14.0.4

=== debian/changelog ===
rosegarden-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:52:02 +0200

## rosegarden-trinity 14.0.5

=== debian/changelog ===
rosegarden-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:35:08 +0200

=== debian/control ===
Source: rosegarden-trinity
Section: sound
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Mike O'Connor <stew@debian.org>, Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libasound2-dev (>= 1.0.0), libjack-dev, ladspa-sdk, liblrdf0-dev, liblircclient-dev, dssi-dev (>= 0.4 ), liblo-dev, libxft-dev, libfftw3-dev
Standards-Version: 3.8.4
Homepage: http://www.rosegardenmusic.com/

Package: rosegarden-trinity
Architecture: any
Depends: ${shlibs:Depends}, khelpcenter-trinity, rosegarden-data-trinity (= ${source:Version}), libxml-twig-perl, sndfile-programs, xterm, tdebase-trinity-bin, konqueror-trinity | www-browser, flac
Replaces: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
Breaks: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
Recommends: jackd, lilypond, swh-plugins | ladspa-plugin
Suggests: qjackctl
Description: music editor and MIDI/audio sequencer [Trinity]
 Rosegarden is a TDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-data-trinity
Architecture: all
Recommends: rosegarden-trinity
Replaces: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
Breaks: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
Priority: optional
Description: music editor and MIDI/audio sequencer data files [Trinity]
 Rosegarden is a TDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the data files necessary for running Rosegarden

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include debian/cdbs/debian-qt-kde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_CMAKE_EXTRA_FLAGS := \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_KDE_APIDOX := yes

DEB_COMPRESS_EXCLUDE += .rg .wav .docbook

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
# never build in parallel, regardless of DEB_BUILD_OPTIONS.
DEB_BUILD_PARALLEL = true

binary-install/rosegarden-trinity::
	dh_testdir
	find debian/rosegarden-trinity/usr/share/doc/rosegarden-trinity/examples -type f -exec chmod 664 {} \;
	cp -Rp debian/rosegarden-trinity/usr/share/man/* debian/rosegarden-trinity/opt/trinity/share/man/
	rm -rf debian/rosegarden-trinity/usr/share/man

clean::
	dh_testdir

## rosegarden-trinity 14.0.6

=== debian/changelog ===
rosegarden-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:35:42 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Package: rosegarden-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, khelpcenter-trinity, rosegarden-data-trinity (= ${source:Version}), libxml-twig-perl, sndfile-programs, xterm, tdebase-trinity-bin, konqueror-trinity | www-browser, flac
-Replaces: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
-Breaks: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
+Replaces: rosegarden-trinity (<< 4:14.0.0~)
+Breaks: rosegarden-trinity (<< 4:14.0.0~)
 Recommends: jackd, lilypond, swh-plugins | ladspa-plugin
 Suggests: qjackctl
 Description: music editor and MIDI/audio sequencer [Trinity]
@@ -24,8 +24,8 @@
 Package: rosegarden-data-trinity
 Architecture: all
 Recommends: rosegarden-trinity
-Replaces: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
-Breaks: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
+Replaces: rosegarden-data-trinity (<< 4:14.0.0~)
+Breaks: rosegarden-data-trinity (<< 4:14.0.0~)
 Priority: optional
 Description: music editor and MIDI/audio sequencer data files [Trinity]
  Rosegarden is a TDE application which provides a mixed Audio/MIDI

## rosegarden-trinity 14.0.8

=== debian/changelog ===
rosegarden-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:54:27 +0200

## rosegarden-trinity 14.0.9

=== debian/changelog ===
rosegarden-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 11 Oct 2020 22:37:29 +0200

## rosegarden-trinity 14.0.10

=== debian/changelog ===
rosegarden-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

=== debian/control ===
Source: rosegarden-trinity
Section: sound
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Uploaders: Mike O'Connor <stew@debian.org>, Free Ekanayaka <freee@debian.org>
Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libasound2-dev (>= 1.0.0), libjack-dev, ladspa-sdk, liblrdf0-dev, liblircclient-dev, dssi-dev (>= 0.4 ), liblo-dev, libxft-dev, libfftw3-dev
Standards-Version: 3.8.4
Homepage: http://www.rosegardenmusic.com/

Package: rosegarden-trinity
Architecture: any
Depends: ${shlibs:Depends}, khelpcenter-trinity, rosegarden-data-trinity (= ${source:Version}), libxml-twig-perl, sndfile-programs, xterm, tdebase-trinity-bin, konqueror-trinity | www-browser, flac
Replaces: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
Breaks: rosegarden-kde3 (<< 4:14.0.0~), rosegarden-trinity (<< 4:14.0.0~)
Recommends: jackd, lilypond, swh-plugins | ladspa-plugin
Suggests: qjackctl
Description: music editor and MIDI/audio sequencer [Trinity]
 Rosegarden is a TDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.

Package: rosegarden-data-trinity
Architecture: all
Recommends: rosegarden-trinity
Replaces: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
Breaks: rosegarden-data-kde3 (<< 4:14.0.0~), rosegarden-data-trinity (<< 4:14.0.0~)
Priority: optional
Description: music editor and MIDI/audio sequencer data files [Trinity]
 Rosegarden is a TDE application which provides a mixed Audio/MIDI
 sequencer (for playback and recording), a multi-track editor, music
 editing using both piano-roll and score notation, MIDI file IO,
 lilypond and Csound files export, etc.
 .
 This package provides the data files necessary for running Rosegarden

## rosegarden-trinity 14.0.11

=== debian/changelog ===
rosegarden-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 27 Jul 2021 16:38:14 +0200

## rosegarden-trinity 14.0.12

=== debian/changelog ===
rosegarden-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 28 Jan 2022 10:26:52 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DLIB_SUFFIX="" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_INCLUDE_PATH="/opt/trinity/include/" \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DBUILD_ALL="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo

DEB_COMPRESS_EXCLUDE += .rg .wav .docbook

binary-install/rosegarden-trinity::
	dh_testdir
	find debian/rosegarden-trinity/usr/share/doc/rosegarden-trinity/examples -type f -exec chmod 664 {} \;
	cp -Rp debian/rosegarden-trinity/usr/share/man/* debian/rosegarden-trinity/opt/trinity/share/man/
	rm -rf debian/rosegarden-trinity/usr/share/man

clean::
	dh_testdir

## rosegarden-trinity 14.0.13

=== debian/changelog ===
rosegarden-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 26 Aug 2022 09:22:15 +0200

## rosegarden-trinity 14.1.0

=== debian/changelog ===
rosegarden-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Multimedia Team <debian-multimedia@lists.debian.org>
 Uploaders: Mike O'Connor <stew@debian.org>, Free Ekanayaka <freee@debian.org>
-Build-Depends: debhelper (>= 9~), quilt, cdbs, cmake, tdelibs14-trinity-dev, libasound2-dev (>= 1.0.0), libjack-dev, ladspa-sdk, liblrdf0-dev, liblircclient-dev, dssi-dev (>= 0.4 ), liblo-dev, libxft-dev, libfftw3-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libasound2-dev (>= 1.0.0), libjack-dev, ladspa-sdk, liblrdf0-dev, liblircclient-dev, dssi-dev (>= 0.4 ), liblo-dev, libxft-dev, libfftw3-dev
 Standards-Version: 3.8.4
 Homepage: http://www.rosegardenmusic.com/

## rosegarden-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,15 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 ##### general package setup #####################
 
-# The name of our project is "ROSEGARDEN". CMakeLists files in this project can
-# refer to the root source directory of the project as ${ROSEGARDEN_SOURCE_DIR}
-# and to the root binary directory of the project as ${ROSEGARDEN_BINARY_DIR}
-PROJECT(ROSEGARDEN)
+project( rosegarden )
 
 
 ##### include essential cmake modules ###########
@@ -44,17 +41,21 @@
 SET (VERSION_PATCH "0")
 # comment out the next line for a public release
 #SET (VERSION_SUFFIX "svn")
-SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
+SET (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 IF(VERSION_SUFFIX)
-   SET (VERSION "${VERSION}-${VERSION_SUFFIX}")
+	SET (PACKAGE_VERSION "${PACKAGE_VERSION}-${VERSION_SUFFIX}")
 ENDIF(VERSION_SUFFIX)
-ADD_DEFINITIONS(-D'VERSION="${VERSION}"')
+ADD_DEFINITIONS(-D'VERSION="${PACKAGE_VERSION}"')
 
 
 ##### include our cmake modules #################
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths #######################
@@ -99,16 +100,16 @@
 )
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
-set( CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined" )
-set( CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined" )
+set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
+set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )
 
 
 ##### source directories ########################
 
 add_subdirectory( src )
 add_subdirectory( data )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS po )
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files #####################
@@ -116,8 +117,5 @@
 configure_file( config.h.cmake config.h @ONLY )
 
 # create and install the version file
-FILE(WRITE version.txt "${VERSION}\n")
-INSTALL( FILES version.txt DESTINATION ${DATA_INSTALL_DIR}/rosegarden )
-
-# configure the RPM spec
-CONFIGURE_FILE("${CMAKE_SOURCE_DIR}/rosegarden.spec.in" "${CMAKE_SOURCE_DIR}/rosegarden.spec" IMMEDIATE @ONLY)
+FILE(WRITE "${CMAKE_BINARY_DIR}/version.txt" "${PACKAGE_VERSION}\n")
+INSTALL( FILES "${CMAKE_BINARY_DIR}/version.txt" DESTINATION ${DATA_INSTALL_DIR}/rosegarden )

=== data/CMakeLists.txt ===
# Data directory

SET(DATADIR ${DATA_INSTALL_DIR}/rosegarden)
SET(ICONDIR ${ICON_INSTALL_DIR})
SET(MIMEDIR ${MIME_INSTALL_DIR}/audio)
SET(MENUDIR ${XDG_MENU_INSTALL_DIR})

# Guitar chord files
FILE(GLOB CHORD_FILES chords/*.xml)
INSTALL(FILES ${CHORD_FILES} DESTINATION ${DATADIR}/chords)

# Desktop file
tde_create_translated_desktop( desktop/rosegarden.desktop )

# MIME files
tde_create_translated_desktop(
    SOURCE
        desktop/x-rosegarden21.desktop
        desktop/x-rosegarden.desktop
        desktop/x-rosegarden-device.desktop
        desktop/x-soundfont.desktop

    DESTINATION ${MIMEDIR}
)

# Icons
INSTALL(FILES pixmaps/icons/cc-hi16-rosegarden.xpm      DESTINATION ${ICONDIR}/locolor/16x16/apps   RENAME rosegarden.xpm)
INSTALL(FILES pixmaps/icons/rg-rwb-rose3-16x16.png      DESTINATION ${ICONDIR}/hicolor/16x16/apps   RENAME rosegarden.png)
INSTALL(FILES pixmaps/icons/cc-hi32-rosegarden.xpm      DESTINATION ${ICONDIR}/locolor/32x32/apps   RENAME rosegarden.xpm)
INSTALL(FILES pixmaps/icons/rg-rwb-rose3-32x32.png      DESTINATION ${ICONDIR}/hicolor/32x32/apps   RENAME rosegarden.png)
INSTALL(FILES pixmaps/icons/rg-rwb-rose3-48x48.png      DESTINATION ${ICONDIR}/hicolor/48x48/apps   RENAME rosegarden.png)
INSTALL(FILES pixmaps/icons/rg-rwb-rose3-64x64.png      DESTINATION ${ICONDIR}/hicolor/64x64/apps   RENAME rosegarden.png)
INSTALL(FILES pixmaps/icons/rg-rwb-rose3-128x128.png    DESTINATION ${ICONDIR}/hicolor/128x128/apps RENAME rosegarden.png)

INSTALL(FILES pixmaps/icons/mm-mime-hi16-rosegarden.png DESTINATION ${ICONDIR}/hicolor/16x16/mimetypes RENAME x-rosegarden.png)
INSTALL(FILES pixmaps/icons/mm-mime-hi16-rosegarden.png DESTINATION ${ICONDIR}/locolor/16x16/mimetypes RENAME x-rosegarden.png)
INSTALL(FILES pixmaps/icons/mm-mime-hi32-rosegarden.png DESTINATION ${ICONDIR}/hicolor/32x32/mimetypes RENAME x-rosegarden.png)
INSTALL(FILES pixmaps/icons/mm-mime-hi32-rosegarden.png DESTINATION ${ICONDIR}/locolor/32x32/mimetypes RENAME x-rosegarden.png)

# styles
FILE(GLOB STYLES_FILES styles/*.xml)
INSTALL(FILES ${STYLES_FILES} DESTINATION ${DATADIR}/styles)

# presets
FILE(GLOB PRESETS_FILES presets/*.xml)
INSTALL(FILES ${PRESETS_FILES} DESTINATION ${DATADIR}/presets)

# fonts
FILE(GLOB PFA_FILES fonts/*.pfa)
INSTALL(FILES ${PFA_FILES} DESTINATION ${DATADIR}/fonts)

FILE(GLOB XML_FILES fonts/mappings/*.xml)
INSTALL(FILES ${XML_FILES} DESTINATION ${DATADIR}/fonts/mappings)

FILE(GLOB XPM_FILES pixmaps/rg21/4/*.xpm)
INSTALL(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/rg21/4)

FILE(GLOB XPM_FILES pixmaps/rg21/8/*.xpm)
INSTALL(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/rg21/8)

FILE(GLOB XPM_FILES pixmaps/feta/4/*.xpm)
INSTALL(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/4)

FILE(GLOB XPM_FILES pixmaps/feta/6/*.xpm)
INSTALL(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/6)

FILE(GLOB XPM_FILES pixmaps/feta/8/*.xpm)
INSTALL(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/8)

FILE(GLOB XPM_FILES pixmaps/feta/10/*.xpm)
INSTALL(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/10)

FILE(GLOB XPM_FILES pixmaps/feta/12/*.xpm)
INSTALL(FILES ${XPM_FILES} DESTINATION ${DATADIR}/fonts/feta/12)

# pixmaps
FILE(GLOB PIXMAP_FILES pixmaps/misc/*.xpm pixmaps/misc/*.png)
INSTALL(FILES ${PIXMAP_FILES} DESTINATION ${DATADIR}/pixmaps/misc)

FILE(GLOB PIXMAP_FILES pixmaps/toolbar/*.xpm pixmaps/toolbar/*.png)
INSTALL(FILES ${PIXMAP_FILES} DESTINATION ${DATADIR}/pixmaps/toolbar)

FILE(GLOB PIXMAP_FILES pixmaps/transport/*.xpm pixmaps/transport/*.png)
INSTALL(FILES ${PIXMAP_FILES} DESTINATION ${DATADIR}/pixmaps/transport)

# Splash
INSTALL(FILES pixmaps/splash.png DESTINATION ${DATADIR}/pixmaps)

# Examples
SET(EXAMPLE_FILES
    examples/aveverum.rg
    examples/aylindaamiga.rg
    examples/bogus-surf-jam.rg
    examples/bwv-1060-trumpet-duet-excerpt.rg
    examples/children.rg
    examples/Djer-Fire.rg
    examples/doodle-q.rg
    examples/exercise_notation.rg
    examples/glazunov.rg
    examples/glazunov-for-solo-and-piano-with-cue.rg
    examples/headers-and-unicode-lyrics.rg
    examples/himno_de_riego.rg
    examples/interpretation-example.rg
    examples/let-all-mortal-flesh.rg
    examples/lilypond-alternative-endings.rg
    examples/lilypond-directives.rg
    examples/lilypond-staff-groupings.rg
    examples/mandolin-sonatina.rg
    examples/mozart-quartet.rg
    examples/notation-for-string-orchestra-in-D-minor.rg
    examples/perfect-moment.rg
    examples/ravel-pc-gmaj-adagio.rg
    examples/sonataC.rose
    examples/stormy-riders.rg
    examples/test_tuplets.rg
    examples/the-rose-garden.rg
    examples/vivaldi-cs3mv2.rg
    examples/vivaldi_op44_11_1.rg )

INSTALL(FILES ${EXAMPLE_FILES} DESTINATION ${DATADIR}/examples)
INSTALL(FILES examples/autoload.rg DESTINATION ${DATADIR})

# Library
FILE(GLOB RGD_FILES library/*.rgd)
INSTALL(FILES ${RGD_FILES} DESTINATION ${DATADIR}/library)

# KDE LIRC Profile
INSTALL(FILES profile/rosegarden.profile.xml DESTINATION ${DATA_INSTALL_DIR}/profiles)

=== debian/changelog ===
rosegarden-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 12 Sep 2023 15:27:34 +0200

## rosegarden-trinity 14.1.2

=== debian/changelog ===
rosegarden-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 02:08:51 +0200

## rosegarden-trinity 14.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,12 @@
 #
 #################################################
 
-cmake_minimum_required( VERSION 3.1 )
+
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 ##### general package setup #####################
@@ -31,31 +36,26 @@
 ##### set up versioning #########################
 
 # Mark as advanced
-MARK_AS_ADVANCED(EXECUTABLE_OUTPUT_PATH
+mark_as_advanced(EXECUTABLE_OUTPUT_PATH
                  LIBRARY_OUTPUT_PATH
 		 CMAKE_BACKWARDS_COMPATIBILITY)
 
 # Rosegarden version string
-SET (VERSION_MAJOR "1")
-SET (VERSION_MINOR "7")
-SET (VERSION_PATCH "0")
+set (VERSION_MAJOR "1")
+set (VERSION_MINOR "7")
+set (VERSION_PATCH "0")
 # comment out the next line for a public release
-#SET (VERSION_SUFFIX "svn")
-SET (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
-IF(VERSION_SUFFIX)
-	SET (PACKAGE_VERSION "${PACKAGE_VERSION}-${VERSION_SUFFIX}")
-ENDIF(VERSION_SUFFIX)
-ADD_DEFINITIONS(-D'VERSION="${PACKAGE_VERSION}"')
+#set (VERSION_SUFFIX "svn")
+set (PACKAGE_VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
+if(VERSION_SUFFIX)
+	set (PACKAGE_VERSION "${PACKAGE_VERSION}-${VERSION_SUFFIX}")
+endif(VERSION_SUFFIX)
+add_definitions(-D'VERSION="${PACKAGE_VERSION}"')
 
 
 ##### include our cmake modules #################
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths #######################
@@ -78,15 +78,15 @@
 option( WANT_PCH     "Use precompiled headers" OFF )
 option( WANT_TEST    "Perform unit tests" OFF )
 
-IF(WANT_TEST)
-    ENABLE_TESTING()
-ENDIF(WANT_TEST)
+if(WANT_TEST)
+    enable_testing()
+endif(WANT_TEST)
 
-IF(NOT WANT_SOUND)
-    SET(WANT_JACK OFF)
-    SET(WANT_DSSI OFF)
-    ADD_DEFINITIONS(-DNO_SOUND)
-ENDIF(NOT WANT_SOUND)
+if(NOT WANT_SOUND)
+    set(WANT_JACK OFF)
+    set(WANT_DSSI OFF)
+    add_definitions(-DNO_SOUND)
+endif(NOT WANT_SOUND)
 
 ##### configure checks ##########################
 
@@ -117,5 +117,5 @@
 configure_file( config.h.cmake config.h @ONLY )
 
 # create and install the version file
-FILE(WRITE "${CMAKE_BINARY_DIR}/version.txt" "${PACKAGE_VERSION}\n")
-INSTALL( FILES "${CMAKE_BINARY_DIR}/version.txt" DESTINATION ${DATA_INSTALL_DIR}/rosegarden )
+file(WRITE "${CMAKE_BINARY_DIR}/version.txt" "${PACKAGE_VERSION}\n")
+install( FILES "${CMAKE_BINARY_DIR}/version.txt" DESTINATION ${DATA_INSTALL_DIR}/rosegarden )

=== src/CMakeLists.txt ===
#################################################
#
#  (C) 2011 Timothy Pearson
#  kb9vqf (AT) pearsoncomputing.net
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/src
  ${CMAKE_SOURCE_DIR}/src
  ${CMAKE_SOURCE_DIR}/src/base
  ${ALSA_INC_DIR}
  ${JACK_INC_DIR}
  ${XFT_INC_DIR}
  ${DSSI_INC_DIR}
  ${LIBLO_INC_DIR}
  ${LADSPA_INC_DIR}
  ${LRDF_INC_DIR}
  ${LIRC_INC_DIR}
  ${FFTW3F_INC_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIR}
  ${ALSA_LIB_DIR}
  ${JACK_LIB_DIR}
  ${XFT_LIB_DIR}
  ${LIBLO_LIB_DIR}
  ${LRDF_LIB_DIR}
  ${LIRC_LIB_DIR}
  ${FFTW3F_LIB_DIR}
  ${CMAKE_BINARY_DIR}/src
)

##### include cmake file lists ##################

set( CMAKE_INCLUDE_PATH "." )

# Common sources
include( BaseFileList.txt )
include( MiscFileList.txt )

# Sound sources
include( SoundFileList.txt )

# sequencer executable
include( SequencerFileList.txt )

# gui executable
include( GUIFileList.txt )

##### other data ################################

# Install helper scripts
install( PROGRAMS
    helpers/rosegarden-lilypondview
    helpers/rosegarden-project-package
    helpers/rosegarden-audiofile-importer
  DESTINATION ${BIN_INSTALL_DIR} )

# Install GUI resource files
file( GLOB RC_FILES gui/ui/*.rc )
install( FILES ${RC_FILES} DESTINATION ${DATA_INSTALL_DIR}/rosegarden )


##### RosegardenCommon ##############################

tde_add_library( RosegardenCommon STATIC AUTOMOC
  SOURCES ${misc_SRCS} ${base_SRCS} ${common_sound_SRCS}
  LINK dl
  DESTINATION ${LIB_INSTALL_DIR}
)


##### rosegardensequencer ###########################

if( WANT_SOUND )
  set( snd_SRCS ${sound_SRCS} )
else( WANT_SOUND )
  set( snd_SRCS ${nosnd_SRCS} )
endif( WANT_SOUND )

tde_add_executable( rosegardensequencer AUTOMOC
  SOURCES ${seq_dcop_SRCS} ${snd_SRCS} ${sequencer_SRCS}
  LINK dl pthread tdecore-shared ${ALSA_LIBS} ${JACK_LIBS} ${LIBLO_LIBS} ${LRDF_LIBS} ${FFTW3F_LIBS} tdeui-shared RosegardenCommon
  DESTINATION ${BIN_INSTALL_DIR}
)

target_link_libraries( rosegardensequencer dl )

add_dependencies(rosegardensequencer RosegardenCommon-static)

##### RosegardenExtended ############################

tde_add_library( RosegardenExtended STATIC AUTOMOC
  SOURCES ${document_SRCS} ${gui_SRCS} ${gui_dcop_SRCS} ${ui_SRCS}
  LINK dl ${LIBLO_LIBS}
  DESTINATION ${LIB_INSTALL_DIR}
)


##### RosegardenCommands ############################

tde_add_library( RosegardenCommands STATIC AUTOMOC
  SOURCES ${commands_SRCS}
#  LINK dl
  DESTINATION ${LIB_INSTALL_DIR}
)


##### RosegardenSegmentCanvas #######################

tde_add_library( RosegardenSegmentCanvas STATIC AUTOMOC
  SOURCES ${segmentcanvas_SRCS}
#  LINK dl
  DESTINATION ${LIB_INSTALL_DIR}
)


##### rosegarden ####################################

tde_add_executable( rosegarden AUTOMOC
  SOURCES gui/application/main.cpp
  LINK dl pthread fontconfig tdecore-shared ${LIBLO_LIBS} ${LRDF_LIBS} ${FFTW3F_LIBS} ${XFT_LIBS} ${LIRC_LIBS} ${JACK_LIBS} tdeio-shared tdeui-shared tdeprint-shared RosegardenExtended RosegardenSegmentCanvas RosegardenCommands RosegardenCommon
  DESTINATION ${BIN_INSTALL_DIR}
)

target_link_libraries( rosegarden dl )
target_link_libraries( rosegarden tdeprint-shared )

add_dependencies(rosegarden RosegardenExtended-static)
add_dependencies(rosegarden RosegardenSegmentCanvas-static)
add_dependencies(rosegarden RosegardenCommands-static)
add_dependencies(rosegarden RosegardenCommon-static)
add_dependencies(rosegarden RosegardenExtended-static)
add_dependencies(rosegarden RosegardenSegmentCanvas-static)
add_dependencies(rosegarden RosegardenCommands-static)
add_dependencies(rosegarden RosegardenCommon-static)

if( WANT_TEST )
  include( TestFileList.txt )

  create_test_sourcelist(RosegardenTest
    RosegardenTestDriver.cpp
    ${tests_SRCS}
#    base/test/transpose.cpp
#    base/test/segmenttransposecommand.cpp
  )

  tde_add_executable( RosegardenTestDriver AUTOMOC
    SOURCES RosegardenTestDriver.cpp ${tests_SRCS}
    LINK dl tdecore-shared ${LIBLO_LIBS} ${LRDF_LIBS} ${FFTW3F_LIBS} ${XFT_LIBS} ${LIRC_LIBS} ${JACK_LIBS} tdeio-shared tdeui-shared tdeprint-shared RosegardenExtended RosegardenSegmentCanvas RosegardenCommands RosegardenCommon
    DESTINATION ${BIN_INSTALL_DIR}
  )

  add_dependencies(RosegardenTestDriver RosegardenExtended-static)
  add_dependencies(RosegardenTestDriver RosegardenSegmentCanvas-static)
  add_dependencies(RosegardenTestDriver RosegardenCommands-static)
  add_dependencies(RosegardenTestDriver RosegardenCommon-static)
  add_dependencies(RosegardenTestDriver RosegardenExtended-static)
  add_dependencies(RosegardenTestDriver RosegardenSegmentCanvas-static)
  add_dependencies(RosegardenTestDriver RosegardenCommands-static)
  add_dependencies(RosegardenTestDriver RosegardenCommon-static)

  foreach(currenttest ${tests_SRCS})
    get_filename_component(TestName ${currenttest} NAME_WE)
    add_test(test/${TestName} RosegardenTestDriver test/${TestName})
  endforeach(currenttest ${tests_SRCS})
endif( WANT_TEST )

=== debian/changelog ===
rosegarden-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 04 Oct 2024 23:40:12 +0200

## rosegarden-trinity 14.1.4

=== debian/changelog ===
rosegarden-trinity (4:14.1.4-0raspbian13.0.0+0) raspbian-trixie; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#rosegarden

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
--- 
+++ 
@@ -21,13 +21,11 @@
  -DCMAKE_SKIP_RPATH="OFF" \
  -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
-DEB_COMPRESS_EXCLUDE += .rg .wav .docbook
+DEB_COMPRESS_EXCLUDE_ALL += .rg .wav .docbook
 
 binary-install/rosegarden-trinity::
 	dh_testdir
 	find debian/rosegarden-trinity/usr/share/doc/rosegarden-trinity/examples -type f -exec chmod 664 {} \;
-	cp -Rp debian/rosegarden-trinity/usr/share/man/* debian/rosegarden-trinity/opt/trinity/share/man/
-	rm -rf debian/rosegarden-trinity/usr/share/man
 
 clean::
 	dh_testdir
